javax.faces.component.html

## Enum HtmlForm.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlForm.PropertyKeys>
  - - javax.faces.component.html.HtmlForm.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlForm.PropertyKeys>
  Enclosing class:
    HtmlForm

      protected static enum HtmlForm.PropertyKeys
      extends Enum<HtmlForm.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accept`
    `acceptcharset`
    `dir`
    `enctype`
    `lang`
    `onclick`
    `ondblclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onreset`
    `onsubmit`
    `role`
    `style`
    `styleClass`
    `target`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlForm.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlForm.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accept

          public static final HtmlForm.PropertyKeys accept

    - #### acceptcharset

          public static final HtmlForm.PropertyKeys acceptcharset

    - #### dir

          public static final HtmlForm.PropertyKeys dir

    - #### enctype

          public static final HtmlForm.PropertyKeys enctype

    - #### lang

          public static final HtmlForm.PropertyKeys lang

    - #### onclick

          public static final HtmlForm.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlForm.PropertyKeys ondblclick

    - #### onkeydown

          public static final HtmlForm.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlForm.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlForm.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlForm.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlForm.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlForm.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlForm.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlForm.PropertyKeys onmouseup

    - #### onreset

          public static final HtmlForm.PropertyKeys onreset

    - #### onsubmit

          public static final HtmlForm.PropertyKeys onsubmit

    - #### role

          public static final HtmlForm.PropertyKeys role

    - #### style

          public static final HtmlForm.PropertyKeys style

    - #### styleClass

          public static final HtmlForm.PropertyKeys styleClass

    - #### target

          public static final HtmlForm.PropertyKeys target

    - #### title

          public static final HtmlForm.PropertyKeys title

  - ### Method Detail

    - #### values

          public static HtmlForm.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlForm.PropertyKeys c : HtmlForm.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlForm.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlForm.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.